<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<span *ngIf="appCaption" class="dashboard-list--caption">
    {{appCaption}}
</span>

<app-statement-table
  [appColumns]="(large$ | async)?.matches ? columns : columnsShort"
  [appEntries]="appEntries"
  [appShowAlert]="true"
  [appShowContributionStatusForMyDepartment]="appShowContributionStatusForMyDepartment"
  [appStatementTypeOptions]="appStatementTypeOptions"
  [forMyDepartment]="forMyDepartment"
  class="openk-table---last-row-without-border dashboard-list--table">
</app-statement-table>

<span *ngIf="appShowSubCaption"
      class="dashboard-list--sub-caption">
  <ng-content></ng-content>
</span>

<span *ngIf="forMyDepartment"
      class="dashboard-list--sub-caption-department-optional">
  {{'dashboard.standInTableFooter' | translate}}
</span>
